> For the complete documentation index, see [llms.txt](https://docs.vorsto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vorsto.io/api/text.md).

# Text Response

Text responses allow functions to be configured and your Agent responses are not returned when you call the api.\
The request code (message id) is returned for you track the response of your request on the api web hook for recounciliation.

Text response also returns an history of the requests for context understanding.&#x20;

```json
//API Text Response
{
    "message": {
        "id": "duH7f5mOItDIlpYRbMPDE",
        "message": "your agent is processing your request."
    }
}
```

```json
// Webhook Text Response
{
    "message": {
        "id": "duH7f5mOItDIlpYRbMPDE",
        "agentId": "hyeyry3mOItehdsfp373hhs",
        "role": "assistant",
        "content": "The diagnosis of Pediculus Capitis (head lice) is a valid medical condition. The details provided do not indicate any fraudulent activity."
    }
}
```

{% hint style="info" %}
Text response are not returned with the api response. Text responses are returned as string in the "content" response object to your configured webhook url.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vorsto.io/api/text.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
